@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans serif;
}

body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background-color: #3498DB;
}

.wrapper{
    background: #fff;
    height: 260px;
    max-width: 410px;
    border-radius: 7px; /*uses border-radius ate 10 pixels*/
    padding: 16px 25px;
    transition: height 0.2s ease;
}
/*Start Wrapper.active ao acionar sera mostrado um qr-code*/
.wrapper.active{
    height: 550px;
}
/*End Wrapper.active ao acionar sera mostrado um qr-code*/

/* tamanho temporario da imagem
.wrapper img{
    width: 180px;
}
*/

header h1{
    font-size: 21px;
    font-weight: 500;
}

header p{
    color: #474747;
    margin-top: 5px;
    font-size: 16px;
}

.wrapper .form{
    margin: 20px 0 25px;
}
.form :where(input, button){
    width: 100%;
    height: 55px;
    border: none;
    outline: none;
    border-radius: 5px;
}

.form input{
    font-size: 18px;
    padding: 0 17px;
    border: 1px solid #999;
}

.form button{
    background: #3498DB;
    color: white;
    cursor: pointer;
    font-size: 17px;
    margin-top: 15px;
}

.wrapper .qr-code{
    display: flex;
    opacity: 0 !important;
    pointer-events: none; /*nao puxar o qr-code escondido*/
    border: 1px solid #999;
    padding: 10px 0;
    border-radius: 5px;
    align-items: center;
    justify-content: center;
}

.wrapper.active .qr-code{
    opacity: 1 !important;
    pointer-events: auto;
    transition: opacity 0.5s 0.05s ease;
}